## python-banal 1.0.6

=== Makefile ===

all: dists

dists: clean
	python setup.py sdist bdist_wheel

release: dists
	twine upload dist/*

clean:
	rm -rf dist build .eggs
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

=== debian/changelog ===
python-banal (1.0.6-3) unstable; urgency=medium

  * Fix package name in Vcs-Browser and Vcs-Git fields.

 -- Edward Betts <edward@4angle.com>  Sun, 28 Aug 2022 07:58:13 +0100

python-banal (1.0.6-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Jul 2022 20:05:40 +0100

python-banal (1.0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1013923)

 -- Edward Betts <edward@4angle.com>  Mon, 27 Jun 2022 16:09:37 +0100

=== debian/control ===
Source: python-banal
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/pudo/banal
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-banal
Vcs-Git: https://salsa.debian.org/python-team/packages/python-banal.git

Package: python3-banal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Commons of banal micro-functions for Python
 Commons of Python micro-functions. This basically an out-sourced, shared
 utils module with a focus on functions that buffer type uncertainties in
 Python (e.g. "is this a list?").
 .
 Functions:
 .
  * is_listish: check if something is list-ish
  * is_mapping: check if an object is dict-ish
  * ensure_list: make sure an argument is a list, or make it into a
    single-element list
  * clean_dict: remove null values from a dict, recursively
  * decode_path: decode a path name to be unicode
  * hash_data: generate a SHA1 from a dict of reasonable objects

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=banal

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf banal.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-banal-$1\.tar\.gz/ \
  https://github.com/pudo/banal/tags .*/v?(\d\S+)\.tar\.gz
